summaryrefslogtreecommitdiffstats
path: root/system/parallel
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2015-01-29 07:24:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-29 07:24:19 +0700
commit8078d8b0e33595d748f91cc1d694e87d00ba4533 (patch)
tree0f11e46b5d9c3592d1b229b659cc50f622dd7e0e /system/parallel
parente1af065db9b2cb6e2297aa26e673af851378bbfa (diff)
downloadslackbuilds-8078d8b0e33595d748f91cc1d694e87d00ba4533.tar.gz
slackbuilds-8078d8b0e33595d748f91cc1d694e87d00ba4533.tar.xz
system/parallel: Updated for version 20150122 + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/parallel')
-rw-r--r--system/parallel/README8
-rw-r--r--system/parallel/parallel.SlackBuild75
-rw-r--r--system/parallel/parallel.info10
-rw-r--r--system/parallel/slack-desc18
4 files changed, 73 insertions, 38 deletions
diff --git a/system/parallel/README b/system/parallel/README
index 27f6ebab56..a0b3eedf74 100644
--- a/system/parallel/README
+++ b/system/parallel/README
@@ -1 +1,7 @@
-Build and execute command lines from standard input in parallel.
+GNU parallel is a shell tool for executing jobs in parallel using one
+or more computers. A job can be a single command or a small script
+that has to be run for each of the lines in the input. The typical
+input is a list of files, a list of hosts, a list of users, a list of
+URLs, or a list of tables. A job can also be a command that reads
+from a pipe. GNU parallel can then split the input and pipe it into
+commands in parallel.
diff --git a/system/parallel/parallel.SlackBuild b/system/parallel/parallel.SlackBuild
index 47cb5b90e5..725f47f50e 100644
--- a/system/parallel/parallel.SlackBuild
+++ b/system/parallel/parallel.SlackBuild
@@ -1,40 +1,62 @@
#!/bin/sh
-# Slackware build script for GNU Parallel
+# Slackware build script for "parallel".
-# Copyright 2010-2013 Erik W. Hanson, Minneapolis, MN, USA
+# Copyright 2015 Marcel Saegebarth <marc@mos6581.de>
# All rights reserved.
#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=parallel
-VERSION=${VERSION:-20131022}
+VERSION=${VERSION:-20150122}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-ARCH=noarch
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -47,20 +69,27 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --mandir=/usr/man/ \
- --docdir=/usr/doc/$PRGNAM-$VERSION
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
make
make install-strip DESTDIR=$PKG
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CITATION COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/parallel/parallel.info b/system/parallel/parallel.info
index 1cdad6aab7..2b3cb985d9 100644
--- a/system/parallel/parallel.info
+++ b/system/parallel/parallel.info
@@ -1,10 +1,10 @@
PRGNAM="parallel"
-VERSION="20131022"
+VERSION="20150122"
HOMEPAGE="http://www.gnu.org/software/parallel/"
-DOWNLOAD="http://ftp.gnu.org/gnu/parallel/parallel-20131022.tar.bz2"
-MD5SUM="086c1d04145ee4e1d986191aa1d3f621"
+DOWNLOAD="http://ftpmirror.gnu.org/parallel/parallel-20150122.tar.bz2"
+MD5SUM="b3b30bdbfc031f6955e0eb27cb2c6d72"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Erik Hanson"
-EMAIL="erik@slackbuilds.org"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/system/parallel/slack-desc b/system/parallel/slack-desc
index 4aa21ec349..6d0571e095 100644
--- a/system/parallel/slack-desc
+++ b/system/parallel/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-parallel: parallel (run command lines simultaneously in parallel)
-parallel:
-parallel: Build and execute command lines from standard input in parallel.
-parallel:
-parallel:
-parallel:
-parallel:
-parallel:
-parallel:
+parallel: parallell (Executes jobs in parallel)
parallel:
+parallel: GNU parallel is a shell tool for executing jobs in parallel using one
+parallel: or more computers. A job can be a single command or a small script
+parallel: that has to be run for each of the lines in the input. The typical
+parallel: input is a list of files, a list of hosts, a list of users, a list of
+parallel: URLs, or a list of tables. A job can also be a command that reads
+parallel: from a pipe. GNU parallel can then split the input and pipe it into
+parallel: commands in parallel.
parallel:
+parallel: Homepage: http://www.gnu.org/software/parallel/